/**
 * Dependencies
 */
var Route = require('../route');
var NOOT = require('../../../../index')('errors');

/***********************************************************************************************************************
 * @class Patch
 * @namespace NOOT.API.DefaultRoutes
 * @extends NOOT.API.Route
 * @constructor
 *
 **********************************************************************************************************************/
var Patch = Route.extend({

  method: 'patch',
  path: '/',
  isDetailable: true,

  handler: function(stack, callback) {
    var id = stack.params.id;

    if (!id) {
      if (!this.resource.allowMassPatch) return (callback || stack.next)(new NOOT.Errors.NotFound());
      return this.resource.updateMany(stack, callback);
    }

    stack.primaryKey = id;
    return this.resource.update(stack, callback);
  }

});

/**
 * @exports
 */
module.exports = Patch;
